<?php
$wp_customize->add_section(
	'sidebar_options',
	array(
		'title' => esc_html__( 'SideBar Options', 'maglink' ),
		'panel' => 'archive_options_panel',
	)
);

$wp_customize->add_setting(
    'maglink_options[sidebar_layout_option]',
    array(
        'default'           => $maglink_default['sidebar_layout_option'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'maglink_sanitize_radio'
    )
);

$wp_customize->add_control(
    new Maglink_Custom_Radio_Image_Control(
        $wp_customize,
        'maglink_options[sidebar_layout_option]',
        array(
            'label'         => esc_html__( 'Select Sidebar Layout (archive)', 'maglink' ),
            'section'       => 'sidebar_options',
            'choices'       => maglink_get_sidebar_layouts(),
        )
    )
);


$wp_customize->add_setting(
    'maglink_options[single_sidebar_layout_option]',
    array(
        'default'           => $maglink_default['single_sidebar_layout_option'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'maglink_sanitize_radio'
    )
);

$wp_customize->add_control(
    new Maglink_Custom_Radio_Image_Control(
        $wp_customize,
        'maglink_options[single_sidebar_layout_option]',
        array(
            'label'         => esc_html__( 'Select Sidebar Layout (Single)', 'maglink' ),
            'section'       => 'sidebar_options',
            'choices'       => maglink_get_sidebar_layouts(),
        )
    )
);


$wp_customize->add_setting(
    'maglink_options[enable_sidebar_fix_archive]',
    array(
        'default'           => $maglink_default['enable_sidebar_fix_archive'],
        'sanitize_callback' => 'maglink_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'maglink_options[enable_sidebar_fix_archive]',
    array(
        'label'    => __( 'Enable Sticky Sidebar', 'maglink' ),
        'section'     => 'sidebar_options',
        'type'        => 'checkbox',
    )
);
